import { W as F, L as D, P as W, X as x, i as y, J as w, K as C, B as H, d as L, T as M, E as P, F as A, C as E, O as I, z as K, y as N, I as U, h as b, f as j, H as k, g as q, V as z, q as B, Y as G, U as J, S as O, u as Q, M as T, G as V, n as X, D as Y, x as Z, N as _, l as $, j as aa, m as sa, o as ea, p as ta, R as oa, A as ra, e as ia, a as la, b as pa, c as ma, r as na, k as ga, s as ca, v as fa, t as da, w as ha, Q as Sa } from "./cli-afc00742.mjs";
import "cac";
import "picocolors";
import "readline";
import "vite";
import "unconfig";
import "fs";
import "path";
import "url";
import "pathe";
import "fast-glob";
import "acorn";
import "magic-string";
import "micromatch";
import "ws";
import "zod";
import "chokidar";
import "events";
import "prompts";
export {
  F as WatchManager,
  D as WsAdapter,
  W as WsManager,
  x as calculateRamResponseSchema,
  y as createLogger,
  w as defaultDownloadLocation,
  C as defaultDts,
  H as defaultUploadLocation,
  L as defineConfig,
  M as deleteFileResponseSchema,
  P as displayKeyHelpHint,
  A as displayWatchAndHelp,
  E as externalRE,
  I as fixImportPath,
  K as fixStartingSlash,
  N as forceStartingSlash,
  U as formatDownload,
  b as formatError,
  j as formatNormal,
  k as formatUpload,
  q as formatWarn,
  z as getAllFilesResponseSchema,
  B as getDefaultConfig,
  G as getDefinitionFileResponseSchema,
  J as getFileNamesResponseSchema,
  O as getFileResponseSchema,
  Q as getSourceMapString,
  T as getWss,
  V as handleKeyInput,
  X as hmrPluginName,
  Y as isExternalUrl,
  Z as isScriptFile,
  _ as isWssReused,
  $ as loadConfig,
  aa as logger,
  sa as main,
  ea as onKeypress,
  ta as prefix,
  oa as pushFileResponseSchema,
  ra as removeStartingSlash,
  ia as resolveConfig,
  la as resolveDts,
  pa as resolveDumpFile,
  ma as resolvePolling,
  na as resolveWatchLocation,
  ga as setHandler,
  ca as startDev,
  fa as virtualModuleId,
  da as viteburnerPlugin,
  ha as writeFile,
  Sa as wsResponseSchema
};
