var Y = Object.defineProperty;
var J = (t, e, s) => e in t ? Y(t, e, { enumerable: !0, configurable: !0, writable: !0, value: s }) : t[e] = s;
var d = (t, e, s) => (J(t, typeof e != "symbol" ? e + "" : e, s), s);
import V from "cac";
import o from "picocolors";
import P from "readline";
import { createLogger as Q, createServer as X } from "vite";
import { loadConfig as Z } from "unconfig";
import S from "fs";
import U, { resolve as D, relative as ee } from "path";
import "url";
import { resolve as te } from "pathe";
import N from "fast-glob";
import { parse as se } from "acorn";
import re from "magic-string";
import { isMatch as ne, match as ie } from "micromatch";
import { WebSocketServer as oe, WebSocket as ae } from "ws";
import { z as p } from "zod";
import ce from "chokidar";
import le from "events";
import x from "prompts";
const fe = "[viteburner]";
function ue(t = "", e = "", s = "") {
  const r = [];
  return t && r.push(o.green(t)), e && r.push(o.dim(e)), s && r.push(s), r.join(" ");
}
function me(t) {
  return o.yellow(`${t}`);
}
function de(t) {
  return o.red(`${t}`);
}
function pe() {
  const t = {
    base: Q("info", { prefix: fe, allowClearScreen: !1 }),
    info: (...e) => t.base.info(ue(...e), { timestamp: !0, clear: !1 }),
    warn: (...e) => t.base.warn(me(e.join(" ")), { timestamp: !0, clear: !1 }),
    error: (...e) => t.base.error(de(e.join(" ")), { timestamp: !0, clear: !1 })
  };
  return t;
}
const i = pe();
function he(t) {
  process.stdin.isTTY || i.warn("current stdin is not a TTY. Keypress events may not work.");
  let e = !1;
  async function s(c, l) {
    (c === "" || c === "\x1B" || l && l.ctrl && l.name === "c") && (i.info("sigterm"), process.exit(1)), !e && (e = !0, await t({ str: c, key: l, on: n, off: a }), e = !1);
  }
  let r;
  function n() {
    a(), r = P.createInterface({ input: process.stdin }), P.emitKeypressEvents(process.stdin, r), process.stdin.isTTY && process.stdin.setRawMode(!0), process.stdin.on("keypress", s);
  }
  function a() {
    r == null || r.close(), r = void 0, process.stdin.off("keypress", s), process.stdin.isTTY && process.stdin.setRawMode(!1);
  }
  return n(), {
    on: n,
    off: a,
    running: () => e
  };
}
let j;
function O(t) {
  j = t;
}
he((t) => {
  j == null || j(t);
});
const ge = "viteburner", we = "0.5.1", ve = "Daemon tools of bitburner using vite for script transform, file syncing, RAM monitoring and more!", ye = {
  viteburner: "bin/viteburner.js"
}, be = "./dist/entry.js", Se = "./dist/entry.mjs", $e = {
  ".": {
    require: "./dist/index.js",
    import: "./dist/index.mjs"
  }
}, Re = "dist/typings/index.d.ts", Me = {
  build: "vite build",
  test: "npm run lint && npm run test:spec",
  "test:spec": "vitest run",
  "test:playground": "vite-node ./src/entry.ts -- --cwd ./playground",
  postversion: "npm run build",
  lint: "npm run lint:ts && npm run lint:eslint && npm run lint:prettier",
  "lint:ts": "tsc --noEmit",
  "lint:eslint": "eslint --ext .ts,.tsx,.js,.jsx .",
  "lint:prettier": 'prettier --check "**/*.{js,mjs,cjs,jsx,ts,mts,cts,tsx,json}"',
  format: 'prettier --write "**/*.{js,mjs,cjs,jsx,ts,mts,cts,tsx,json}"'
}, Fe = {
  type: "git",
  url: "git+https://github.com/Tanimodori/viteburner.git"
}, xe = [
  "bitburner",
  "vite"
], Ue = "Tanimodori", je = "MIT", De = {
  url: "https://github.com/Tanimodori/viteburner/issues"
}, ke = "https://github.com/Tanimodori/viteburner#readme", Ie = {
  "@types/estree": "^1.0.0",
  "@types/micromatch": "^4.0.2",
  "@types/node": "^18.11.18",
  "@types/prompts": "^2.4.2",
  "@types/ws": "^8.5.4",
  "@typescript-eslint/eslint-plugin": "^5.49.0",
  "@typescript-eslint/parser": "^5.49.0",
  "builtin-modules": "^3.3.0",
  eslint: "^8.33.0",
  "eslint-config-prettier": "^8.6.0",
  "eslint-plugin-prettier": "^4.2.1",
  prettier: "^2.8.3",
  typescript: "^4.9.4",
  vite: "^4.0.4",
  "vite-node": "^0.25.4",
  "vite-plugin-dts": "^1.7.1",
  vitest: "^0.28.3"
}, Te = {
  acorn: "^8.8.2",
  cac: "^6.7.14",
  chokidar: "^3.5.3",
  "fast-glob": "^3.2.12",
  "magic-string": "^0.27.0",
  micromatch: "^4.0.5",
  pathe: "^1.1.0",
  picocolors: "^1.0.0",
  prompts: "^2.4.2",
  unconfig: "^0.3.7",
  ws: "^8.12.0",
  zod: "^3.19.1"
}, Ee = {
  vite: "^3.0.0 || ^4.0.0"
}, K = {
  name: ge,
  version: we,
  description: ve,
  bin: ye,
  main: be,
  module: Se,
  exports: $e,
  typings: Re,
  scripts: Me,
  repository: Fe,
  keywords: xe,
  author: Ue,
  license: je,
  bugs: De,
  homepage: ke,
  devDependencies: Ie,
  dependencies: Te,
  peerDependencies: Ee
};
function We(t) {
  return (e) => {
    const s = qe(e);
    let r = t ?? "home";
    if (typeof r == "function") {
      const n = r(e);
      if (!n)
        return [];
      r = n;
    }
    return Array.isArray(r) || (r = [r]), r.map((n) => {
      const a = {
        filename: s,
        server: "home",
        ...typeof n == "string" ? { server: n } : n
      };
      return a.filename = G(a.filename), a;
    });
  };
}
function Le(t) {
  return typeof t == "string" ? t : t === !1 ? void 0 : "NetscriptDefinitions.d.ts";
}
function Ne(t) {
  return typeof t == "string" ? (e) => t + "/" + e : typeof t == "function" ? t : void 0;
}
function He(t) {
  return typeof t == "boolean" ? { usePolling: t, pollingOptions: {} } : t ? { usePolling: !0, pollingOptions: t } : { usePolling: !1, pollingOptions: {} };
}
function Ce(t) {
  var n, a, c, l;
  const e = t.watch ?? [], s = ((n = t.download) == null ? void 0 : n.server) ?? "home";
  return {
    watch: e.map((f) => ({
      pattern: f.pattern,
      transform: f.transform ?? !1,
      location: We(f.location)
    })),
    ...He(t.usePolling),
    sourcemap: t.sourcemap ?? !1,
    port: t.port ?? 12525,
    timeout: t.timeout ?? 1e4,
    dts: Le(t.dts),
    ignoreInitial: t.ignoreInitial ?? !1,
    download: {
      server: Array.isArray(s) ? s : [s],
      location: ((a = t == null ? void 0 : t.download) == null ? void 0 : a.location) ?? ((f) => "src/" + f),
      ignoreTs: ((c = t == null ? void 0 : t.download) == null ? void 0 : c.ignoreTs) ?? !0,
      ignoreSourcemap: ((l = t == null ? void 0 : t.download) == null ? void 0 : l.ignoreSourcemap) ?? !0
    },
    dumpFiles: Ne(t.dumpFiles),
    cwd: t.cwd ?? process.cwd()
  };
}
function It(t) {
  return t;
}
async function Pe(t) {
  const { config: e } = await Z({
    sources: [
      // load from `viteburner.config.xx`
      {
        files: "viteburner.config",
        extensions: ["ts", "mts", "cts", "js", "mjs", "cjs", "json", ""]
      },
      // load inline config from `vite.config`
      {
        files: "vite.config",
        async rewrite(s) {
          var a;
          const r = await (typeof s == "function" ? s() : s), n = (a = r == null ? void 0 : r.build) == null ? void 0 : a.sourcemap;
          return {
            ...n && { sourcemap: n },
            ...r == null ? void 0 : r.viteburner
          };
        }
      }
    ],
    cwd: t.cwd ?? process.cwd(),
    merge: !0
  });
  return Ce({
    ...e,
    ...t
  });
}
process.platform;
function M(t) {
  return t.replace(/\\/g, "/");
}
function z(t, e) {
  return e && t.startsWith(e) && (t = `/${t.slice(e.length)}`), t.replace(/^\/@id\/__x00__/, "\0").replace(/^\/@id\//, "").replace(/^__vite-browser-external:/, "").replace(/^(node|file):/, "").replace(/^\/+/, "/").replace(/\?v=\w+/, "?").replace(/&v=\w+/, "").replace(/\?t=\w+/, "?").replace(/&t=\w+/, "").replace(/\?import/, "?").replace(/&import/, "").replace(/\?&/, "?").replace(/\?+$/, "");
}
class Oe {
  constructor(e, s = {}) {
    d(this, "items");
    d(this, "options");
    d(this, "watcher");
    d(this, "initial");
    d(this, "enabled");
    d(this, "enabledTimeStamp");
    d(this, "emitter");
    this.items = e, this.options = s, this.initial = !0, this.enabled = !0, this.enabledTimeStamp = 0, this.emitter = new le();
  }
  get patterns() {
    return this.items.map((e) => e.pattern);
  }
  findItem(e) {
    return this.items.find((s) => ne(e, s.pattern));
  }
  init() {
    this.watcher = ce.watch(this.patterns, this.options), this.watcher.on("ready", () => {
      this.initial = !1;
    });
    const e = ["add", "unlink", "change"];
    for (const s of e)
      this.watcher.on(s, (r) => {
        this.triggerHmr(r, s);
      });
  }
  triggerHmr(e, s) {
    if (!this.enabled)
      return;
    const r = this.options.cwd ?? process.cwd();
    if (s !== "unlink" && S.statSync(D(r, e)).mtimeMs <= this.enabledTimeStamp)
      return;
    const n = this.findItem(e);
    if (n)
      this.emitter.emit(A, {
        ...n,
        file: M(e),
        event: s,
        initial: this.initial,
        timestamp: Date.now()
      });
    else
      throw new Error(`File ${e} does not match any patterns`);
  }
  setEnabled(e) {
    this.enabled = e, e && (this.enabledTimeStamp = Date.now());
  }
  async fullReload() {
    this.enabledTimeStamp = 0;
    const e = N.stream(this.patterns, { cwd: this.options.cwd ?? process.cwd() });
    for await (const s of e)
      this.triggerHmr(s, "change");
  }
  /** Get all possible filenames to upload */
  getUploadFilenames(e) {
    e = k(M(e));
    const s = this.findItem(e);
    return s ? s.location(e) : [];
  }
  /** Shoutcut of `getUploadFilenames(filename).find(server) */
  getUploadFilenamesByServer(e, s) {
    var n;
    return (n = this.getUploadFilenames(e).find((a) => a.server === s)) == null ? void 0 : n.filename;
  }
  close() {
    var e;
    (e = this.watcher) == null || e.close();
  }
}
function _e(t) {
  if (!t)
    return "";
  const e = JSON.stringify(t);
  return `//# sourceMappingURL=data:application/json;base64,${Buffer.from(e).toString("base64")}`;
}
async function T(t, e) {
  const s = U.dirname(t);
  return S.existsSync(s) || await S.promises.mkdir(s, { recursive: !0 }), S.promises.writeFile(t, e, {
    flag: "w",
    encoding: "utf8"
  });
}
function B(t) {
  return t.endsWith(".js") || t.endsWith(".script");
}
const H = (t) => t.startsWith("/") ? t : "/" + t, G = (t) => {
  const e = t.lastIndexOf("/");
  return e === 0 ? t.substring(1) : e !== -1 ? H(t) : t;
}, k = (t) => t.startsWith("/") ? t.substring(1) : t, qe = (t) => t.replace(/^src\//, "").replace(/\.ts$/, ".js"), Ke = /^(https?:)?\/\//, ze = (t) => Ke.test(t);
function Be() {
  i.info(
    "help",
    o.dim("press ") + o.reset(o.bold("h")) + o.dim(" to show help, press ") + o.reset(o.bold("q")) + o.dim(" to exit")
  );
}
function _() {
  i.info("vite", o.reset("watching for file changes...")), Be();
}
function Ge(t) {
  const s = (u, m) => {
    i.info("status", o.reset(u.padStart(18)), m);
  }, r = () => {
    i.info("status"), i.info("status", " ".repeat(14) + o.reset(o.bold(o.inverse(o.green(" STATUS "))))), s("connection:", t.manager.connected ? o.green("connected") : o.yellow("disconnected")), s("port:", o.magenta(t.server.config.viteburner.port));
    const u = t.buffers.size, m = `${u} file${u === 1 ? "" : "s"}`, g = u ? o.yellow(m) : o.dim(m);
    s("pending:", g), i.info("status", o.dim(""));
  };
  r(), _();
  const n = () => {
    i.info("help");
    const u = [
      ["u", "upload all files"],
      ["d", "download all files"],
      ["s", "show status"],
      ["r", "show RAM usage of scripts"],
      ["q", "quit"]
    ];
    i.info("help", o.reset(o.bold("Watch Usage")));
    for (const [m, g] of u)
      i.info("help", `press ${o.reset(o.bold(m))}${o.dim(" to ")}${g}`);
    i.info("help", o.dim(""));
  }, a = () => t.manager.connected ? !0 : (i.error("conn", o.red("no connection")), !1), c = () => {
    i.info("upload", o.reset("force full-upload triggered")), t.server.watchManager.fullReload();
  }, l = () => {
    i.info("download", o.reset("force full-download triggered")), t.fullDownload();
  }, f = async () => (i.info("ram", o.reset("fetching ram usage of scripts...")), await t.getRamUsage(), !0), h = async () => {
    const { pattern: u } = await x({
      type: "text",
      name: "pattern",
      message: "Enter a glob pattern",
      initial: "src/**/*.{ts,js}"
    });
    return u ? (i.info("ram", o.reset("fetching ram usage of scripts...")), await t.getRamUsage(u), !0) : !1;
  }, w = async () => {
    const m = await N("**/*.{js,ts,script}", { cwd: t.server.config.root });
    m.sort();
    const g = /* @__PURE__ */ new Map();
    for (const $ of m) {
      if ($.endsWith(".d.ts") || $ === t.server.config.viteburner.dts)
        continue;
      const C = t.getRamUsageLocalData($);
      C.length !== 0 && g.set($, C);
    }
    const { file: y } = await x({
      type: "autocomplete",
      name: "file",
      message: "Enter a filename",
      choices: [...g.keys()].map(($) => ({ title: $ }))
    });
    return y ? S.existsSync(D(t.server.config.root, y)) ? (g.has(y) ? await t.getRamUsageLocalRaw(y, g.get(y)) : await t.getRamUsageLocal(y), !0) : (i.error("ram", `file ${y} does not exist`), !1) : !1;
  }, v = async () => {
    const { server: u } = await x({
      type: "text",
      name: "server",
      message: "Enter a server name",
      initial: "home"
    });
    if (!u)
      return !1;
    const m = await t.getFileNames(u);
    if (!m)
      return !1;
    const { filename: g } = await x({
      type: "autocomplete",
      name: "filename",
      message: "Enter a filename",
      choices: m.filter(B).map((y) => ({ title: y }))
    });
    return g ? (await t.getRamUsageRemote(u, g), !0) : !1;
  }, b = async () => {
    const { filter: u } = await x({
      type: "select",
      name: "filter",
      message: "Which script do you want to check?",
      initial: 0,
      choices: [
        { title: "All local scripts", value: "all" },
        { title: "Filter local scripts by glob pattern", value: "glob" },
        { title: "Find a local script", value: "local" },
        { title: "Find a remote script", value: "remote" }
      ]
    });
    return u ? u === "all" ? f() : u === "glob" ? h() : u === "local" ? w() : u === "remote" ? v() : !1 : !1;
  }, F = async (u) => {
    u.off(), await b() ? i.info("ram", "done") : i.info("ram", "cancelled"), u.on();
  };
  return async (u) => {
    const { key: m } = u;
    let g = !0;
    m.name === "q" ? (i.info("bye"), process.exit()) : m.name === "s" ? r() : m.name === "h" ? n() : m.name === "u" ? a() && c() : m.name === "d" ? a() && l() : m.name === "r" ? a() && await F(u) : g = !1, g && _();
  };
}
function Ae(t) {
  return se(t, {
    ecmaVersion: "latest",
    sourceType: "module",
    locations: !0
  });
}
function Ye(t, e) {
  const s = z(e ?? t.filename);
  if (ze(s))
    return s;
  const r = t.manager.getUploadFilenamesByServer(s, t.server);
  if (r)
    return H(r);
  {
    const n = e ? `Path "${e}" imported by "${t.filename}" not found on server "${t.server}"` : `File "${e}" not found on server "${t.server}"`;
    return i.warn("import", n), i.warn("import", "This may be a problem when the script is running on the server."), s;
  }
}
function Je(t) {
  const e = new re(t.content), s = Ae(t.content);
  for (const r of s.body)
    if (r.type === "ImportDeclaration") {
      const n = r.source, a = n.raw, c = n.value, l = Ye(t, c), f = a[0];
      e.overwrite(n.start, n.end, f + l + f);
    }
  return e.toString();
}
const E = (t, e, s) => {
  e = H(e);
  const r = `@${s}:${e}`;
  return {
    styled: `${o.dim(t)} ${o.reset("->")} ${o.dim(r)}`,
    raw: `${t} -> ${r}`
  };
}, Ve = (t, e, s) => {
  e = k(e);
  const r = `@${s}:/${t}`;
  return {
    styled: `${o.dim(r)} ${o.reset("->")} ${o.dim(e)}`,
    raw: `${r} -> ${e}`
  };
}, Tt = (t) => "src/" + t, Et = "NetscriptDefinitions.d.ts";
class Qe {
  constructor(e, s) {
    d(this, "buffers", /* @__PURE__ */ new Map());
    d(this, "manager");
    d(this, "server");
    this.manager = e, this.server = s, this.manager.onConnected(async (r) => {
      i.info("conn", "", "connected");
      const n = () => {
        i.info("conn", "", o.yellow("disconnected"));
      };
      return r.on("close", n), await this.getDts(), await this.handleHmrMessage(), () => {
        r.off("close", n);
      };
    }), this.manager.checkIfWssReused();
  }
  async getDts() {
    const e = this.server.config.viteburner.dts;
    if (e)
      try {
        const s = await this.manager.getDefinitionFile(), r = this.server.config.root, n = U.resolve(r, e);
        await T(n, s), i.info("dts change", e);
      } catch (s) {
        i.error(`error getting dts file: ${s}`);
      }
  }
  async checkDependencies(e) {
    var s;
    for (const r of e) {
      if (r.event === "change")
        continue;
      const n = M(D(this.server.config.root, r.file));
      (s = this.server._importGlobMap) == null || s.forEach((a, c) => {
        if (a.some((l) => ie([n], l).length > 0)) {
          const l = M(ee(this.server.config.root, c));
          if (e.some((h) => h.file === l))
            return;
          const f = this.server.watchManager.findItem(l);
          f != null && f.transform && e.push({
            file: l,
            timestamp: r.timestamp,
            initial: r.initial,
            event: "change",
            ...f
          });
        }
      });
    }
    return e;
  }
  async handleHmrMessage(e) {
    e ? Array.isArray(e) || (e = [e]) : e = [], e = await this.checkDependencies(e);
    const s = this.manager.connected;
    for (const r of e)
      this.buffers.set(r.file, r), i.info(`hmr ${r.event}`, r.file, o.yellow("(pending)"));
    if (s && this.buffers.size)
      for (const r of this.buffers.values())
        await this.uploadFile(r);
  }
  deleteCache(e) {
    const s = this.buffers.get(e.file);
    s && e.timestamp === s.timestamp && this.buffers.delete(e.file);
  }
  async dumpFile(e, s, r) {
    var c, l;
    const n = (l = (c = this.server.config.viteburner).dumpFiles) == null ? void 0 : l.call(c, e.file, r);
    if (!n)
      return;
    const a = U.resolve(this.server.config.root, n);
    await T(a, s), i.info("dump", E(e.file, M(n), r).styled);
  }
  async fetchModule(e) {
    let s = "";
    if (e.transform) {
      const r = await this.server.fetchModule(e.file);
      if (!r)
        throw new Error("module not found: " + e.file);
      s = r.code, this.server.config.viteburner.sourcemap === "inline" && r.map && (s += _e(r.map));
    } else
      s = (await S.promises.readFile(U.resolve(this.server.config.root, e.file))).toString();
    return s;
  }
  fixImport(e, s, r) {
    return s.transform ? Je({
      content: e,
      filename: s.file,
      server: r,
      manager: this.server.watchManager
    }) : e;
  }
  async uploadFile(e) {
    this.deleteCache(e);
    const s = e.event !== "unlink";
    let r = "";
    if (s)
      try {
        r = await this.fetchModule(e);
      } catch (a) {
        i.error(String(a));
        return;
      }
    const n = this.server.watchManager.getUploadFilenames(e.file);
    if (!n.length) {
      i.info(`hmr ${e.event}`, e.file, o.dim("(ignored)"));
      return;
    }
    for (const { filename: a, server: c } of n) {
      const l = E(e.file, a, c);
      try {
        s ? (e.transform && (r = this.fixImport(r, e, c)), this.dumpFile(e, r, c), await this.manager.pushFile({
          filename: a,
          content: r,
          server: c
        })) : await this.manager.deleteFile({
          filename: a,
          server: c
        }), i.info(`hmr ${e.event}`, l.styled, o.green("(done)"));
      } catch (f) {
        i.error(`error ${e.event}: ${l.raw} ${f}`), i.error(`hmr ${e.event} ${e.file} (error)`);
        continue;
      }
    }
  }
  async fullDownload() {
    i.info("vite", o.reset("stop watching for file changes while downloading")), this.server.watchManager.setEnabled(!1);
    const e = this.server.config.viteburner.download.server, s = /* @__PURE__ */ new Map();
    for (const r of e)
      try {
        s.set(r, await this.manager.getAllFiles({ server: r }));
      } catch (n) {
        i.error(`error: connot get filelist from server ${r}: ${n}`);
        continue;
      }
    for (const [r, n] of s) {
      const { location: a, ignoreTs: c, ignoreSourcemap: l } = this.server.config.viteburner.download;
      for (const f of n) {
        f.filename = k(f.filename);
        const h = a(f.filename, r);
        if (!h) {
          i.info("download", `@${r}:/${f.filename}`, o.dim("(ignored)"));
          continue;
        }
        const w = D(this.server.config.root, h), v = Ve(f.filename, h, r);
        try {
          const b = () => c && w.endsWith(".js") && S.existsSync(w.substring(0, w.length - 3) + ".ts"), F = () => l && f.content.match(/\/\/# sourceMappingURL=\S+\s*$/g);
          if (b() || F()) {
            i.info("download", v.styled, o.dim("(ignored)"));
            continue;
          }
          await T(w, f.content), i.info("download", v.styled, o.green("(done)"));
        } catch (b) {
          i.error("download", v.raw, `(${b})`);
        }
      }
    }
    i.info("vite", o.reset("download completed, watching for file changes...")), this.server.watchManager.setEnabled(!0);
  }
  async getRamUsage(e) {
    const s = e ?? this.server.watchManager.patterns;
    if (!s) {
      i.warn("ram", "no pattern found");
      return;
    }
    const r = await N(s, { cwd: this.server.config.root });
    if (r.length === 0) {
      i.warn("ram", "no file found");
      return;
    }
    r.sort();
    for (const n of r)
      await this.getRamUsageLocal(n);
  }
  getRamUsageLocalData(e) {
    return this.server.watchManager.getUploadFilenames(e);
  }
  async getRamUsageLocalRaw(e, s) {
    let r = !1, n = -1;
    if (s.length === 0)
      return i.info("ram", `${e} (ignored)`), !0;
    for (const { filename: a, server: c } of s) {
      const l = E(e, a, c);
      if (B(a)) {
        r = !0;
        try {
          n = await this.manager.calculateRam({ filename: a, server: c }), i.info("ram", o.reset(`${e}: ${n} GB`));
          break;
        } catch (f) {
          i.warn("ram", l.raw, `(${f})`);
        }
      }
    }
    if (r) {
      if (n === -1)
        return i.warn("ram", e, "(no target found)"), !1;
    } else
      i.info("ram", e, o.dim("(ignored)"));
    return !0;
  }
  async getRamUsageLocal(e) {
    const s = this.getRamUsageLocalData(e);
    return this.getRamUsageLocalRaw(e, s);
  }
  async getRamUsageRemote(e, s) {
    const r = G(s);
    i.info("ram", o.reset("fetching ram usage of scripts..."));
    try {
      const n = await this.manager.calculateRam({ filename: r, server: e });
      i.info("ram", o.reset(`@${e}/${s}: ${n} GB`));
    } catch (n) {
      i.error("ram", `@${e}/${s}: ${n}`);
    }
  }
  async getFileNames(e) {
    try {
      return (await this.manager.getFileNames({ server: e })).map(k);
    } catch (s) {
      return i.error("list", `cannot fetch filenames from server ${e}: ${s}`), null;
    }
  }
}
let W = !1, R = null, q = -1;
function Xe(t) {
  return R === null || q !== t ? (R && (R.clients.forEach((e) => e.close()), R.close()), q = t, R = new oe({ port: t }), W = !1) : W = !0, R;
}
function Ze() {
  return W;
}
const et = p.object({
  jsonrpc: p.literal("2.0"),
  id: p.number(),
  result: p.any(),
  error: p.any()
}), tt = p.literal("OK"), st = p.string(), rt = p.literal("OK"), nt = p.array(p.string()), it = p.array(
  p.object({
    filename: p.string(),
    content: p.string()
  })
), ot = p.number(), at = p.string();
class ct {
  constructor(e) {
    d(this, "options");
    d(this, "ws");
    d(this, "wss");
    d(this, "trackers");
    d(this, "nextId");
    d(this, "unregisters");
    this.options = {
      timeout: 1e4,
      ...e
    }, this.trackers = [], this.nextId = 0, this.ws = void 0, this.wss = Xe(this.options.port), this.unregisters = [], this._registerHandler();
  }
  get connected() {
    var e;
    return ((e = this.ws) == null ? void 0 : e.readyState) === ae.OPEN;
  }
  _registerHandler() {
    const e = (r) => {
      this.ws = r, r.on("message", (n) => this.handleMessage(n));
    }, s = (r) => {
      const n = String(r);
      n.indexOf("EADDRINUSE") !== -1 ? (i.error("ws", `fatal: port ${this.options.port} is already in use`), process.exit(1)) : i.error("ws", `${n}`);
    };
    this.wss.on("connection", e), this.wss.on("error", s), this.unregisters.push(() => {
      this.wss.off("connection", e), this.wss.off("error", s);
    });
  }
  onConnected(e) {
    const s = async (r) => {
      this.ws = r;
      const n = await e(r);
      n && this.unregisters.push(n);
    };
    this.wss.on("connection", s), this.unregisters.push(() => {
      this.wss.off("connection", s);
    });
  }
  checkIfWssReused() {
    if (Ze() && this.wss.clients.size > 0) {
      for (const e of this.wss.clients)
        this.ws = e;
      this.wss.emit("connection", this.ws);
    }
  }
  handleMessage(e) {
    const s = et.parse(JSON.parse(e.toString())), { id: r, result: n, error: a } = s;
    if (!this.trackers[r])
      return;
    const { resolve: c, reject: l } = this.trackers[r];
    a && l(a), c(n);
  }
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  async sendMessage(e) {
    const s = e.params;
    if (!this.ws || !this.connected)
      throw new Error("No connection");
    const r = ++this.nextId;
    this.ws.send(
      JSON.stringify({
        jsonrpc: "2.0",
        id: r,
        method: e.method,
        ...s && { params: s }
      })
    );
    const n = new Promise((a, c) => {
      const l = (h) => {
        var w;
        try {
          a(((w = e.validator) == null ? void 0 : w.parse(h)) ?? h);
        } catch (v) {
          c(v);
        } finally {
          delete this.trackers[r];
        }
      }, f = (h) => {
        delete this.trackers[r], c(h);
      };
      this.trackers[r] = {
        resolve: l,
        reject: f
      };
    });
    return this.options.timeout && setTimeout(() => {
      this.trackers[r] && this.trackers[r].reject(new Error(`Timeout after ${this.options.timeout}ms`));
    }, this.options.timeout), n;
  }
  async pushFile(e) {
    return this.sendMessage({
      method: "pushFile",
      params: e,
      validator: tt
    });
  }
  async getFile(e) {
    return this.sendMessage({
      method: "getFile",
      params: e,
      validator: st
    });
  }
  async deleteFile(e) {
    return this.sendMessage({
      method: "deleteFile",
      params: e,
      validator: rt
    });
  }
  async getFileNames(e) {
    return this.sendMessage({
      method: "getFileNames",
      params: e,
      validator: nt
    });
  }
  async getAllFiles(e) {
    return this.sendMessage({
      method: "getAllFiles",
      params: e,
      validator: it
    });
  }
  async calculateRam(e) {
    return this.sendMessage({
      method: "calculateRam",
      params: e,
      validator: ot
    });
  }
  async getDefinitionFile() {
    return this.sendMessage({
      method: "getDefinitionFile",
      validator: at
    });
  }
  close() {
    this.unregisters.forEach((e) => e());
  }
}
const A = "viteburner:hmr", L = "virtual:viteburner-entry";
function lt() {
  return {
    mode: "development",
    optimizeDeps: { disabled: !0 },
    clearScreen: !1,
    build: {
      lib: {
        /**
         * Meaningless for Vite<3.2.0
         * @see {@link https://github.com/vitejs/vite/discussions/1736}
         */
        entry: L,
        formats: ["es"]
      }
    },
    server: { middlewareMode: !0 }
  };
}
function ft(t) {
  const e = "\0" + L;
  let s, r;
  return {
    name: "viteburner",
    apply: "serve",
    // Load viteburner.config.xx, merge with config, and resolve
    async config(n) {
      return i.info("config", "resolving user config..."), n.viteburner = await Pe(t), lt();
    },
    configResolved() {
      i.info("config", "config resolved");
    },
    // save server instance
    configureServer(n) {
      s = {
        ...n,
        pathToId(a) {
          const c = `/@fs/${M(te(s.config.root, a))}`;
          return z(c, s.config.base);
        },
        async invalidateFile(a) {
          const c = s.pathToId(a), l = await s.moduleGraph.getModuleByUrl(c);
          l && s.moduleGraph.invalidateModule(l);
        },
        async fetchModule(a) {
          const c = s.pathToId(a);
          return s.transformRequest(c);
        },
        onHmrMessage(a) {
          s.watchManager.emitter.on(A, (c) => a(c, s));
        },
        async buildStart() {
          return s.pluginContainer.buildStart({});
        }
      };
    },
    // main entry
    buildStart() {
      i.info("watch", "creating a watcher...");
      const { root: n, viteburner: a } = s.config, { watch: c, ignoreInitial: l, port: f, timeout: h, usePolling: w, pollingOptions: v } = a;
      s.watchManager = new Oe(c, {
        cwd: n,
        persistent: !0,
        ignoreInitial: l,
        usePolling: !!w,
        ...v
      }), i.info("ws", "creating ws server...");
      const b = new ct({ port: f, timeout: h });
      r = new Qe(b, s), s.onHmrMessage((F) => r.handleHmrMessage(F)), s.watchManager.init(), O(Ge(r));
    },
    // virtual entry
    resolveId(n) {
      if (n === L)
        return e;
    },
    load(n) {
      if (n === e)
        return "export {}";
    },
    // exit
    buildEnd() {
      s.watchManager.close(), r.manager.close(), O();
    }
  };
}
const I = V("viteburner");
I.command("", "start dev server").alias("serve").alias("dev").option("--cwd <cwd>", "Working directory").option("--port <port>", "Port to listen on").action(ut);
I.help();
I.version(K.version);
async function ut(t) {
  const e = t.cwd, s = t.port, r = {
    ...e && { cwd: e },
    ...s && { port: s }
  };
  i.info("version", K.version), i.info("vite", "creating dev server..."), X({
    ...e && { root: e },
    viteburner: r,
    plugins: [ft(r)]
  });
}
async function Wt() {
  I.parse();
}
export {
  k as A,
  qe as B,
  Ke as C,
  ze as D,
  Be as E,
  _ as F,
  Ge as G,
  E as H,
  Ve as I,
  Tt as J,
  Et as K,
  Qe as L,
  Xe as M,
  Ze as N,
  Je as O,
  ct as P,
  et as Q,
  tt as R,
  st as S,
  rt as T,
  nt as U,
  it as V,
  Oe as W,
  ot as X,
  at as Y,
  Le as a,
  Ne as b,
  He as c,
  It as d,
  Ce as e,
  ue as f,
  me as g,
  de as h,
  pe as i,
  i as j,
  O as k,
  Pe as l,
  Wt as m,
  A as n,
  he as o,
  fe as p,
  lt as q,
  We as r,
  ut as s,
  ft as t,
  _e as u,
  L as v,
  T as w,
  B as x,
  H as y,
  G as z
};
